package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.OrgUser;
import com.sa.ibiz.demo.demo.service.dto.OrgUserSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[OrgUser] 服务对象接口
 */
public interface OrgUserService extends IService<OrgUser>{

	boolean remove(OrgUser et);
	boolean checkKey(OrgUser et);
	boolean getDraft(OrgUser et);
	boolean update(OrgUser et);
		OrgUser updateCurUser(OrgUser et);
		OrgUser get(OrgUser et);
	boolean create(OrgUser et);
		OrgUser getCurUser(OrgUser et);
    List<OrgUser> listCurOrgSector(OrgUserSearchFilter filter) ;
	Page<OrgUser> searchCurOrgSector(OrgUserSearchFilter filter);
    List<OrgUser> listCurOrgSectorBIZLeader(OrgUserSearchFilter filter) ;
	Page<OrgUser> searchCurOrgSectorBIZLeader(OrgUserSearchFilter filter);
    List<OrgUser> listDefault(OrgUserSearchFilter filter) ;
	Page<OrgUser> searchDefault(OrgUserSearchFilter filter);
    List<OrgUser> listCurOrg(OrgUserSearchFilter filter) ;
	Page<OrgUser> searchCurOrg(OrgUserSearchFilter filter);
    List<OrgUser> listUserOrgSector(OrgUserSearchFilter filter) ;
	Page<OrgUser> searchUserOrgSector(OrgUserSearchFilter filter);
    List<OrgUser> listCurOrgUser(OrgUserSearchFilter filter) ;
	Page<OrgUser> searchCurOrgUser(OrgUserSearchFilter filter);
    List<OrgUser> listUserOrg(OrgUserSearchFilter filter) ;
	Page<OrgUser> searchUserOrg(OrgUserSearchFilter filter);
    List<OrgUser> listCurOrgSectorLeader(OrgUserSearchFilter filter) ;
	Page<OrgUser> searchCurOrgSectorLeader(OrgUserSearchFilter filter);
	/**	 实体[OrgUser] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }